SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SLNet::RakNetSocket2 Class Referenceabstract

`#include <slikenet/socket2.h>`

Inheritance diagram for SLNet::RakNetSocket2:

## Public Member Functions

| RakNetSocket2 ()
virtual | ~RakNetSocket2 ()
void | SetRecvEventHandler (RNS2EventHandler *_eventHandler)
virtual RNS2SendResult | Send (RNS2_SendParameters *sendParameters, const char *file, unsigned int line)=0
RNS2Type | GetSocketType (void) const
void | SetSocketType (RNS2Type t)
bool | IsBerkleySocket (void) const
SystemAddress | GetBoundAddress (void) const
unsigned int | GetUserConnectionSocketIndex (void) const
void | SetUserConnectionSocketIndex (unsigned int i)
RNS2EventHandler * | GetEventHandler (void) const

## Static Public Member Functions

static void | GetMyIP (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])
static void | DomainNameToIP (const char *domainName, char ip[65])

## Protected Attributes

RNS2EventHandler * | eventHandler
RNS2Type | socketType
SystemAddress | boundAddress
unsigned int | userConnectionSocketIndex

## Detailed Description

Definition at line 123 of file socket2.h.

## Constructor & Destructor Documentation

RakNetSocket2::RakNetSocket2 | ( |  | ) |

Definition at line 65 of file RakNetSocket2.cpp.

References eventHandler.

RakNetSocket2::~RakNetSocket2 | ( |  | ) |

virtual

Definition at line 66 of file RakNetSocket2.cpp.

## Member Function Documentation

void RakNetSocket2::DomainNameToIP | ( | const char * | domainName,
|  | char | ip[65]
| ) |  |

static

Definition at line 135 of file RakNetSocket2.cpp.

Referenced by SLNet::SystemAddress::SetBinaryAddress().

SystemAddress RakNetSocket2::GetBoundAddress | ( | void |  | ) | const

Definition at line 73 of file RakNetSocket2.cpp.

References boundAddress.

Referenced by SLNet::RakPeer::AssignSystemAddressToRemoteSystemList(), and SLNet::RakPeer::RunUpdateCycle().

RNS2EventHandler * RakNetSocket2::GetEventHandler | ( | void |  | ) | const

Definition at line 133 of file RakNetSocket2.cpp.

References eventHandler.

void RakNetSocket2::GetMyIP | ( | SystemAddress | addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS] | ) |

static

Definition at line 108 of file RakNetSocket2.cpp.

References SLNet::RNS2_Linux::GetMyIP().

Referenced by SLNet::RakPeer::FillIPList().

RNS2Type RakNetSocket2::GetSocketType | ( | void |  | ) | const

Definition at line 68 of file RakNetSocket2.cpp.

References socketType.

unsigned int RakNetSocket2::GetUserConnectionSocketIndex | ( | void |  | ) | const

Definition at line 131 of file RakNetSocket2.cpp.

References userConnectionSocketIndex.

bool RakNetSocket2::IsBerkleySocket | ( | void |  | ) | const

Definition at line 70 of file RakNetSocket2.cpp.

References SLNet::RNS2T_CHROME, SLNet::RNS2T_WINDOWS_STORE_8, and socketType.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::Startup().

virtual RNS2SendResult SLNet::RakNetSocket2::Send | ( | RNS2_SendParameters * | sendParameters,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

pure virtual

Implemented in SLNet::RNS2_Linux.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), SLNet::ProcessOfflineNetworkPacket(), and SLNet::RakPeer::RunUpdateCycle().

void RakNetSocket2::SetRecvEventHandler | ( | RNS2EventHandler * | _eventHandler | ) |

Definition at line 67 of file RakNetSocket2.cpp.

References eventHandler.

void RakNetSocket2::SetSocketType | ( | RNS2Type | t | ) |

Definition at line 69 of file RakNetSocket2.cpp.

References socketType.

Referenced by SLNet::RakNetSocket2Allocator::AllocRNS2().

void RakNetSocket2::SetUserConnectionSocketIndex | ( | unsigned int | i | ) |

Definition at line 132 of file RakNetSocket2.cpp.

References userConnectionSocketIndex.

Referenced by SLNet::RakPeer::Startup().

## Member Data Documentation

SystemAddress SLNet::RakNetSocket2::boundAddress

protected

Definition at line 147 of file socket2.h.

Referenced by SLNet::RNS2_Berkley::BindShared(), SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), GetBoundAddress(), and SLNet::IRNS2_Berkley::IsPortInUse().

RNS2EventHandler* SLNet::RakNetSocket2::eventHandler

protected

Definition at line 145 of file socket2.h.

Referenced by GetEventHandler(), RakNetSocket2(), SetRecvEventHandler(), and SLNet::RakPeer::Startup().

RNS2Type SLNet::RakNetSocket2::socketType

protected

Definition at line 146 of file socket2.h.

Referenced by GetSocketType(), IsBerkleySocket(), and SetSocketType().

unsigned int SLNet::RakNetSocket2::userConnectionSocketIndex

protected

Definition at line 148 of file socket2.h.

Referenced by GetUserConnectionSocketIndex(), and SetUserConnectionSocketIndex().

The documentation for this class was generated from the following files:

- Source/include/slikenet/socket2.h
- Source/src/RakNetSocket2.cpp